from setuptools import setup, find_packages

from pathlib import Path

this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()


setup(
    name="datapluck",
    version="0.1.3",
    author="Omar Kamali",
    author_email="datapluck@omarkama.li",
    description="A tool to export Hugging Face datasets to various file formats.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    packages=find_packages(),
    package_data={
        "datapluck": ["credentials.json"],
    },
    entry_points={
        "console_scripts": [
            "datapluck=datapluck.main:main",
        ],
    },
    install_requires=[
        "pandas",
        "datasets",
        "pyarrow",
        "pysqlite3",
        "google-auth",
        "google-auth-oauthlib",
        "google-api-python-client",
    ],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Operating System :: OS Independent",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Utilities",
    ],
    python_requires=">=3.8",
    keywords="huggingface datasets export csv json parquet tsv jsonl",
)
